%global commit 72d2a6f1a412298cbeae612c184d5d876f0ddf33
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name: sniproxy
Version: 0.4.0
Release: 3%{?dist}
Summary: Transparent TLS proxy

Group: System Environment/Daemons
License: BSD
URL: https://github.com/dlundquist/sniproxy
Source0: https://github.com/dlundquist/sniproxy/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1: sniproxy.conf
Source2: sniproxy.service

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: curl
BuildRequires: systemd
BuildRequires: libev-devel
BuildRequires: pcre-devel
BuildRequires: perl
BuildRequires: udns-devel
# for lib-prefix.m4
BuildRequires: gettext-devel
# required for EL
BuildRequires: perl(Time::HiRes)

Requires(pre):    shadow-utils
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd

%description
SNIproxy proxies incoming HTTP and TLS connections based on the host name 
contained in the initial request. This enables HTTPS name based virtual 
hosting to separate back-end servers without the installing the private
key on the proxy machine.


%prep
%setup -q

%build
touch config.rpath
autoreconf -fvi
CFLAGS="${CFLAGS:-%optflags} -I/usr/include/libev" ; export CFLAGS ;
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_unitdir}
install -p -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/
install -p -m 644 %{SOURCE2} %{buildroot}%{_unitdir}

%check
make check

%pre
getent group sniproxy &>/dev/null || groupadd -r sniproxy
getent passwd sniproxy &>/dev/null || \
    /usr/sbin/useradd -r -g sniproxy -s /sbin/nologin -c sniproxy \
    -d / sniproxy

%post
%systemd_post sniproxy.service

%preun
%systemd_preun sniproxy.service

%postun
%systemd_postun sniproxy.service

%files

%config(noreplace) %{_sysconfdir}/sniproxy.conf

%{_sbindir}/sniproxy
%doc COPYING README.md AUTHORS ChangeLog
%{_unitdir}/sniproxy.service
%{_mandir}/man8/sniproxy.8*
%{_mandir}/man5/sniproxy.conf.5*

%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 11 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.4.0-1
- New upstream release

* Thu Jun 11 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.3.6-2
- Server no longer starts as forking

* Thu Mar 12 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.3.6-1
- New upstream release

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 24 2014 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.3.4-2
- Added changelog file to doc

* Thu Jul 24 2014 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.3.4-1
- New upstream release

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 10 2014 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.3.1-1
- New upstream release

* Fri Mar 21 2014 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1-3.git0d71fca
- Updated for libev in Fedora rawhide that no longer uses pkg-config

* Fri Feb 21 2014 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1-2.git0d71fca
- Updated based on comments from Christopher Meng

* Fri Jan 31 2014 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1-1.git0d71fca
- Initial version of the package
